For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign Up
DocumentationAPI ReferenceSDKs
DocumentationAPI ReferenceSDKs
  • Documents
    • Ingest Documents
    • Ingest Directories
    • POSTcrawl_website
    • GETget_processing_status_by_id
    • GETlist
    • GETget
    • GETlookup
    • DELdelete (singular)
    • DELdelete (multiple)
    • GETget_processes
    • POSTcopy
    • PUTupdate
    • DELcancel_process
    • GETget_extract
    • GETget_xray
  • Search
    • POSTsearch.content
    • POSTsearch.documents
  • Buckets
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Groups
    • GETlist
    • GETget
    • POSTcreate
    • PUTupdate
    • DELdelete
    • POSTaddBucket
    • DELremoveBucket
  • Workflows
    • GETlist
    • POSTcreate
    • GETget_account
    • POSTadd_to_account
    • DELremove_from_account
    • POSTadd_to_id
    • DELremove_from_id
    • GETget
    • PUTupdate
    • DELdelete
  • Customer
    • GETget
  • API Key
    • GETlist
    • POSTcreate
    • PUTupdate
    • DELdelete
  • Health
    • GETlist
    • GETget
Sign Up
LogoLogo
Workflows

update

PUT
https://api.groundx.ai/api/v1/workflow/:id
PUT
/api/v1/workflow/:id
1from groundx import GroundX
2
3client = GroundX(
4 api_key="YOUR_API_KEY_HERE",
5)
6
7client.workflows.update(
8 id="id",
9)
200Updated
1{
2 "workflow": {
3 "chunkStrategy": "element",
4 "documentId": "string",
5 "id": 1,
6 "name": "string",
7 "extract": {},
8 "sectionStrategy": "chunks",
9 "steps": {
10 "chunk-instruct": {
11 "all": {
12 "engine": {
13 "apiKey": "string",
14 "baseURL": "string",
15 "engineID": "string",
16 "reasoningEffort": "minimal",
17 "requestPassthrough": {},
18 "service": "openai"
19 },
20 "field": "doc-sum",
21 "includes": {},
22 "prompt": {
23 "request": {
24 "abbreviated": "string",
25 "prompt": "string",
26 "role": "assistant"
27 },
28 "task": {
29 "abbreviated": "string",
30 "prompt": "string",
31 "role": "assistant"
32 }
33 }
34 },
35 "figure": {
36 "engine": {
37 "apiKey": "string",
38 "baseURL": "string",
39 "engineID": "string",
40 "reasoningEffort": "minimal",
41 "requestPassthrough": {},
42 "service": "openai"
43 },
44 "field": "doc-sum",
45 "includes": {},
46 "prompt": {
47 "request": {
48 "abbreviated": "string",
49 "prompt": "string",
50 "role": "assistant"
51 },
52 "task": {
53 "abbreviated": "string",
54 "prompt": "string",
55 "role": "assistant"
56 }
57 }
58 },
59 "json": {
60 "engine": {
61 "apiKey": "string",
62 "baseURL": "string",
63 "engineID": "string",
64 "reasoningEffort": "minimal",
65 "requestPassthrough": {},
66 "service": "openai"
67 },
68 "field": "doc-sum",
69 "includes": {},
70 "prompt": {
71 "request": {
72 "abbreviated": "string",
73 "prompt": "string",
74 "role": "assistant"
75 },
76 "task": {
77 "abbreviated": "string",
78 "prompt": "string",
79 "role": "assistant"
80 }
81 }
82 },
83 "paragraph": {
84 "engine": {
85 "apiKey": "string",
86 "baseURL": "string",
87 "engineID": "string",
88 "reasoningEffort": "minimal",
89 "requestPassthrough": {},
90 "service": "openai"
91 },
92 "field": "doc-sum",
93 "includes": {},
94 "prompt": {
95 "request": {
96 "abbreviated": "string",
97 "prompt": "string",
98 "role": "assistant"
99 },
100 "task": {
101 "abbreviated": "string",
102 "prompt": "string",
103 "role": "assistant"
104 }
105 }
106 },
107 "table": {
108 "engine": {
109 "apiKey": "string",
110 "baseURL": "string",
111 "engineID": "string",
112 "reasoningEffort": "minimal",
113 "requestPassthrough": {},
114 "service": "openai"
115 },
116 "field": "doc-sum",
117 "includes": {},
118 "prompt": {
119 "request": {
120 "abbreviated": "string",
121 "prompt": "string",
122 "role": "assistant"
123 },
124 "task": {
125 "abbreviated": "string",
126 "prompt": "string",
127 "role": "assistant"
128 }
129 }
130 },
131 "table-figure": {
132 "engine": {
133 "apiKey": "string",
134 "baseURL": "string",
135 "engineID": "string",
136 "reasoningEffort": "minimal",
137 "requestPassthrough": {},
138 "service": "openai"
139 },
140 "field": "doc-sum",
141 "includes": {},
142 "prompt": {
143 "request": {
144 "abbreviated": "string",
145 "prompt": "string",
146 "role": "assistant"
147 },
148 "task": {
149 "abbreviated": "string",
150 "prompt": "string",
151 "role": "assistant"
152 }
153 }
154 }
155 },
156 "chunk-keys": {
157 "all": {
158 "engine": {
159 "apiKey": "string",
160 "baseURL": "string",
161 "engineID": "string",
162 "reasoningEffort": "minimal",
163 "requestPassthrough": {},
164 "service": "openai"
165 },
166 "field": "doc-sum",
167 "includes": {},
168 "prompt": {
169 "request": {
170 "abbreviated": "string",
171 "prompt": "string",
172 "role": "assistant"
173 },
174 "task": {
175 "abbreviated": "string",
176 "prompt": "string",
177 "role": "assistant"
178 }
179 }
180 },
181 "figure": {
182 "engine": {
183 "apiKey": "string",
184 "baseURL": "string",
185 "engineID": "string",
186 "reasoningEffort": "minimal",
187 "requestPassthrough": {},
188 "service": "openai"
189 },
190 "field": "doc-sum",
191 "includes": {},
192 "prompt": {
193 "request": {
194 "abbreviated": "string",
195 "prompt": "string",
196 "role": "assistant"
197 },
198 "task": {
199 "abbreviated": "string",
200 "prompt": "string",
201 "role": "assistant"
202 }
203 }
204 },
205 "json": {
206 "engine": {
207 "apiKey": "string",
208 "baseURL": "string",
209 "engineID": "string",
210 "reasoningEffort": "minimal",
211 "requestPassthrough": {},
212 "service": "openai"
213 },
214 "field": "doc-sum",
215 "includes": {},
216 "prompt": {
217 "request": {
218 "abbreviated": "string",
219 "prompt": "string",
220 "role": "assistant"
221 },
222 "task": {
223 "abbreviated": "string",
224 "prompt": "string",
225 "role": "assistant"
226 }
227 }
228 },
229 "paragraph": {
230 "engine": {
231 "apiKey": "string",
232 "baseURL": "string",
233 "engineID": "string",
234 "reasoningEffort": "minimal",
235 "requestPassthrough": {},
236 "service": "openai"
237 },
238 "field": "doc-sum",
239 "includes": {},
240 "prompt": {
241 "request": {
242 "abbreviated": "string",
243 "prompt": "string",
244 "role": "assistant"
245 },
246 "task": {
247 "abbreviated": "string",
248 "prompt": "string",
249 "role": "assistant"
250 }
251 }
252 },
253 "table": {
254 "engine": {
255 "apiKey": "string",
256 "baseURL": "string",
257 "engineID": "string",
258 "reasoningEffort": "minimal",
259 "requestPassthrough": {},
260 "service": "openai"
261 },
262 "field": "doc-sum",
263 "includes": {},
264 "prompt": {
265 "request": {
266 "abbreviated": "string",
267 "prompt": "string",
268 "role": "assistant"
269 },
270 "task": {
271 "abbreviated": "string",
272 "prompt": "string",
273 "role": "assistant"
274 }
275 }
276 },
277 "table-figure": {
278 "engine": {
279 "apiKey": "string",
280 "baseURL": "string",
281 "engineID": "string",
282 "reasoningEffort": "minimal",
283 "requestPassthrough": {},
284 "service": "openai"
285 },
286 "field": "doc-sum",
287 "includes": {},
288 "prompt": {
289 "request": {
290 "abbreviated": "string",
291 "prompt": "string",
292 "role": "assistant"
293 },
294 "task": {
295 "abbreviated": "string",
296 "prompt": "string",
297 "role": "assistant"
298 }
299 }
300 }
301 },
302 "chunk-summary": {
303 "all": {
304 "engine": {
305 "apiKey": "string",
306 "baseURL": "string",
307 "engineID": "string",
308 "reasoningEffort": "minimal",
309 "requestPassthrough": {},
310 "service": "openai"
311 },
312 "field": "doc-sum",
313 "includes": {},
314 "prompt": {
315 "request": {
316 "abbreviated": "string",
317 "prompt": "string",
318 "role": "assistant"
319 },
320 "task": {
321 "abbreviated": "string",
322 "prompt": "string",
323 "role": "assistant"
324 }
325 }
326 },
327 "figure": {
328 "engine": {
329 "apiKey": "string",
330 "baseURL": "string",
331 "engineID": "string",
332 "reasoningEffort": "minimal",
333 "requestPassthrough": {},
334 "service": "openai"
335 },
336 "field": "doc-sum",
337 "includes": {},
338 "prompt": {
339 "request": {
340 "abbreviated": "string",
341 "prompt": "string",
342 "role": "assistant"
343 },
344 "task": {
345 "abbreviated": "string",
346 "prompt": "string",
347 "role": "assistant"
348 }
349 }
350 },
351 "json": {
352 "engine": {
353 "apiKey": "string",
354 "baseURL": "string",
355 "engineID": "string",
356 "reasoningEffort": "minimal",
357 "requestPassthrough": {},
358 "service": "openai"
359 },
360 "field": "doc-sum",
361 "includes": {},
362 "prompt": {
363 "request": {
364 "abbreviated": "string",
365 "prompt": "string",
366 "role": "assistant"
367 },
368 "task": {
369 "abbreviated": "string",
370 "prompt": "string",
371 "role": "assistant"
372 }
373 }
374 },
375 "paragraph": {
376 "engine": {
377 "apiKey": "string",
378 "baseURL": "string",
379 "engineID": "string",
380 "reasoningEffort": "minimal",
381 "requestPassthrough": {},
382 "service": "openai"
383 },
384 "field": "doc-sum",
385 "includes": {},
386 "prompt": {
387 "request": {
388 "abbreviated": "string",
389 "prompt": "string",
390 "role": "assistant"
391 },
392 "task": {
393 "abbreviated": "string",
394 "prompt": "string",
395 "role": "assistant"
396 }
397 }
398 },
399 "table": {
400 "engine": {
401 "apiKey": "string",
402 "baseURL": "string",
403 "engineID": "string",
404 "reasoningEffort": "minimal",
405 "requestPassthrough": {},
406 "service": "openai"
407 },
408 "field": "doc-sum",
409 "includes": {},
410 "prompt": {
411 "request": {
412 "abbreviated": "string",
413 "prompt": "string",
414 "role": "assistant"
415 },
416 "task": {
417 "abbreviated": "string",
418 "prompt": "string",
419 "role": "assistant"
420 }
421 }
422 },
423 "table-figure": {
424 "engine": {
425 "apiKey": "string",
426 "baseURL": "string",
427 "engineID": "string",
428 "reasoningEffort": "minimal",
429 "requestPassthrough": {},
430 "service": "openai"
431 },
432 "field": "doc-sum",
433 "includes": {},
434 "prompt": {
435 "request": {
436 "abbreviated": "string",
437 "prompt": "string",
438 "role": "assistant"
439 },
440 "task": {
441 "abbreviated": "string",
442 "prompt": "string",
443 "role": "assistant"
444 }
445 }
446 }
447 },
448 "doc-keys": {
449 "all": {
450 "engine": {
451 "apiKey": "string",
452 "baseURL": "string",
453 "engineID": "string",
454 "reasoningEffort": "minimal",
455 "requestPassthrough": {},
456 "service": "openai"
457 },
458 "field": "doc-sum",
459 "includes": {},
460 "prompt": {
461 "request": {
462 "abbreviated": "string",
463 "prompt": "string",
464 "role": "assistant"
465 },
466 "task": {
467 "abbreviated": "string",
468 "prompt": "string",
469 "role": "assistant"
470 }
471 }
472 },
473 "figure": {
474 "engine": {
475 "apiKey": "string",
476 "baseURL": "string",
477 "engineID": "string",
478 "reasoningEffort": "minimal",
479 "requestPassthrough": {},
480 "service": "openai"
481 },
482 "field": "doc-sum",
483 "includes": {},
484 "prompt": {
485 "request": {
486 "abbreviated": "string",
487 "prompt": "string",
488 "role": "assistant"
489 },
490 "task": {
491 "abbreviated": "string",
492 "prompt": "string",
493 "role": "assistant"
494 }
495 }
496 },
497 "json": {
498 "engine": {
499 "apiKey": "string",
500 "baseURL": "string",
501 "engineID": "string",
502 "reasoningEffort": "minimal",
503 "requestPassthrough": {},
504 "service": "openai"
505 },
506 "field": "doc-sum",
507 "includes": {},
508 "prompt": {
509 "request": {
510 "abbreviated": "string",
511 "prompt": "string",
512 "role": "assistant"
513 },
514 "task": {
515 "abbreviated": "string",
516 "prompt": "string",
517 "role": "assistant"
518 }
519 }
520 },
521 "paragraph": {
522 "engine": {
523 "apiKey": "string",
524 "baseURL": "string",
525 "engineID": "string",
526 "reasoningEffort": "minimal",
527 "requestPassthrough": {},
528 "service": "openai"
529 },
530 "field": "doc-sum",
531 "includes": {},
532 "prompt": {
533 "request": {
534 "abbreviated": "string",
535 "prompt": "string",
536 "role": "assistant"
537 },
538 "task": {
539 "abbreviated": "string",
540 "prompt": "string",
541 "role": "assistant"
542 }
543 }
544 },
545 "table": {
546 "engine": {
547 "apiKey": "string",
548 "baseURL": "string",
549 "engineID": "string",
550 "reasoningEffort": "minimal",
551 "requestPassthrough": {},
552 "service": "openai"
553 },
554 "field": "doc-sum",
555 "includes": {},
556 "prompt": {
557 "request": {
558 "abbreviated": "string",
559 "prompt": "string",
560 "role": "assistant"
561 },
562 "task": {
563 "abbreviated": "string",
564 "prompt": "string",
565 "role": "assistant"
566 }
567 }
568 },
569 "table-figure": {
570 "engine": {
571 "apiKey": "string",
572 "baseURL": "string",
573 "engineID": "string",
574 "reasoningEffort": "minimal",
575 "requestPassthrough": {},
576 "service": "openai"
577 },
578 "field": "doc-sum",
579 "includes": {},
580 "prompt": {
581 "request": {
582 "abbreviated": "string",
583 "prompt": "string",
584 "role": "assistant"
585 },
586 "task": {
587 "abbreviated": "string",
588 "prompt": "string",
589 "role": "assistant"
590 }
591 }
592 }
593 },
594 "doc-summary": {
595 "all": {
596 "engine": {
597 "apiKey": "string",
598 "baseURL": "string",
599 "engineID": "string",
600 "reasoningEffort": "minimal",
601 "requestPassthrough": {},
602 "service": "openai"
603 },
604 "field": "doc-sum",
605 "includes": {},
606 "prompt": {
607 "request": {
608 "abbreviated": "string",
609 "prompt": "string",
610 "role": "assistant"
611 },
612 "task": {
613 "abbreviated": "string",
614 "prompt": "string",
615 "role": "assistant"
616 }
617 }
618 },
619 "figure": {
620 "engine": {
621 "apiKey": "string",
622 "baseURL": "string",
623 "engineID": "string",
624 "reasoningEffort": "minimal",
625 "requestPassthrough": {},
626 "service": "openai"
627 },
628 "field": "doc-sum",
629 "includes": {},
630 "prompt": {
631 "request": {
632 "abbreviated": "string",
633 "prompt": "string",
634 "role": "assistant"
635 },
636 "task": {
637 "abbreviated": "string",
638 "prompt": "string",
639 "role": "assistant"
640 }
641 }
642 },
643 "json": {
644 "engine": {
645 "apiKey": "string",
646 "baseURL": "string",
647 "engineID": "string",
648 "reasoningEffort": "minimal",
649 "requestPassthrough": {},
650 "service": "openai"
651 },
652 "field": "doc-sum",
653 "includes": {},
654 "prompt": {
655 "request": {
656 "abbreviated": "string",
657 "prompt": "string",
658 "role": "assistant"
659 },
660 "task": {
661 "abbreviated": "string",
662 "prompt": "string",
663 "role": "assistant"
664 }
665 }
666 },
667 "paragraph": {
668 "engine": {
669 "apiKey": "string",
670 "baseURL": "string",
671 "engineID": "string",
672 "reasoningEffort": "minimal",
673 "requestPassthrough": {},
674 "service": "openai"
675 },
676 "field": "doc-sum",
677 "includes": {},
678 "prompt": {
679 "request": {
680 "abbreviated": "string",
681 "prompt": "string",
682 "role": "assistant"
683 },
684 "task": {
685 "abbreviated": "string",
686 "prompt": "string",
687 "role": "assistant"
688 }
689 }
690 },
691 "table": {
692 "engine": {
693 "apiKey": "string",
694 "baseURL": "string",
695 "engineID": "string",
696 "reasoningEffort": "minimal",
697 "requestPassthrough": {},
698 "service": "openai"
699 },
700 "field": "doc-sum",
701 "includes": {},
702 "prompt": {
703 "request": {
704 "abbreviated": "string",
705 "prompt": "string",
706 "role": "assistant"
707 },
708 "task": {
709 "abbreviated": "string",
710 "prompt": "string",
711 "role": "assistant"
712 }
713 }
714 },
715 "table-figure": {
716 "engine": {
717 "apiKey": "string",
718 "baseURL": "string",
719 "engineID": "string",
720 "reasoningEffort": "minimal",
721 "requestPassthrough": {},
722 "service": "openai"
723 },
724 "field": "doc-sum",
725 "includes": {},
726 "prompt": {
727 "request": {
728 "abbreviated": "string",
729 "prompt": "string",
730 "role": "assistant"
731 },
732 "task": {
733 "abbreviated": "string",
734 "prompt": "string",
735 "role": "assistant"
736 }
737 }
738 }
739 },
740 "search-query": {
741 "all": {
742 "engine": {
743 "apiKey": "string",
744 "baseURL": "string",
745 "engineID": "string",
746 "reasoningEffort": "minimal",
747 "requestPassthrough": {},
748 "service": "openai"
749 },
750 "field": "doc-sum",
751 "includes": {},
752 "prompt": {
753 "request": {
754 "abbreviated": "string",
755 "prompt": "string",
756 "role": "assistant"
757 },
758 "task": {
759 "abbreviated": "string",
760 "prompt": "string",
761 "role": "assistant"
762 }
763 }
764 },
765 "figure": {
766 "engine": {
767 "apiKey": "string",
768 "baseURL": "string",
769 "engineID": "string",
770 "reasoningEffort": "minimal",
771 "requestPassthrough": {},
772 "service": "openai"
773 },
774 "field": "doc-sum",
775 "includes": {},
776 "prompt": {
777 "request": {
778 "abbreviated": "string",
779 "prompt": "string",
780 "role": "assistant"
781 },
782 "task": {
783 "abbreviated": "string",
784 "prompt": "string",
785 "role": "assistant"
786 }
787 }
788 },
789 "json": {
790 "engine": {
791 "apiKey": "string",
792 "baseURL": "string",
793 "engineID": "string",
794 "reasoningEffort": "minimal",
795 "requestPassthrough": {},
796 "service": "openai"
797 },
798 "field": "doc-sum",
799 "includes": {},
800 "prompt": {
801 "request": {
802 "abbreviated": "string",
803 "prompt": "string",
804 "role": "assistant"
805 },
806 "task": {
807 "abbreviated": "string",
808 "prompt": "string",
809 "role": "assistant"
810 }
811 }
812 },
813 "paragraph": {
814 "engine": {
815 "apiKey": "string",
816 "baseURL": "string",
817 "engineID": "string",
818 "reasoningEffort": "minimal",
819 "requestPassthrough": {},
820 "service": "openai"
821 },
822 "field": "doc-sum",
823 "includes": {},
824 "prompt": {
825 "request": {
826 "abbreviated": "string",
827 "prompt": "string",
828 "role": "assistant"
829 },
830 "task": {
831 "abbreviated": "string",
832 "prompt": "string",
833 "role": "assistant"
834 }
835 }
836 },
837 "table": {
838 "engine": {
839 "apiKey": "string",
840 "baseURL": "string",
841 "engineID": "string",
842 "reasoningEffort": "minimal",
843 "requestPassthrough": {},
844 "service": "openai"
845 },
846 "field": "doc-sum",
847 "includes": {},
848 "prompt": {
849 "request": {
850 "abbreviated": "string",
851 "prompt": "string",
852 "role": "assistant"
853 },
854 "task": {
855 "abbreviated": "string",
856 "prompt": "string",
857 "role": "assistant"
858 }
859 }
860 },
861 "table-figure": {
862 "engine": {
863 "apiKey": "string",
864 "baseURL": "string",
865 "engineID": "string",
866 "reasoningEffort": "minimal",
867 "requestPassthrough": {},
868 "service": "openai"
869 },
870 "field": "doc-sum",
871 "includes": {},
872 "prompt": {
873 "request": {
874 "abbreviated": "string",
875 "prompt": "string",
876 "role": "assistant"
877 },
878 "task": {
879 "abbreviated": "string",
880 "prompt": "string",
881 "role": "assistant"
882 }
883 }
884 }
885 },
886 "sect-instruct": {
887 "all": {
888 "engine": {
889 "apiKey": "string",
890 "baseURL": "string",
891 "engineID": "string",
892 "reasoningEffort": "minimal",
893 "requestPassthrough": {},
894 "service": "openai"
895 },
896 "field": "doc-sum",
897 "includes": {},
898 "prompt": {
899 "request": {
900 "abbreviated": "string",
901 "prompt": "string",
902 "role": "assistant"
903 },
904 "task": {
905 "abbreviated": "string",
906 "prompt": "string",
907 "role": "assistant"
908 }
909 }
910 },
911 "figure": {
912 "engine": {
913 "apiKey": "string",
914 "baseURL": "string",
915 "engineID": "string",
916 "reasoningEffort": "minimal",
917 "requestPassthrough": {},
918 "service": "openai"
919 },
920 "field": "doc-sum",
921 "includes": {},
922 "prompt": {
923 "request": {
924 "abbreviated": "string",
925 "prompt": "string",
926 "role": "assistant"
927 },
928 "task": {
929 "abbreviated": "string",
930 "prompt": "string",
931 "role": "assistant"
932 }
933 }
934 },
935 "json": {
936 "engine": {
937 "apiKey": "string",
938 "baseURL": "string",
939 "engineID": "string",
940 "reasoningEffort": "minimal",
941 "requestPassthrough": {},
942 "service": "openai"
943 },
944 "field": "doc-sum",
945 "includes": {},
946 "prompt": {
947 "request": {
948 "abbreviated": "string",
949 "prompt": "string",
950 "role": "assistant"
951 },
952 "task": {
953 "abbreviated": "string",
954 "prompt": "string",
955 "role": "assistant"
956 }
957 }
958 },
959 "paragraph": {
960 "engine": {
961 "apiKey": "string",
962 "baseURL": "string",
963 "engineID": "string",
964 "reasoningEffort": "minimal",
965 "requestPassthrough": {},
966 "service": "openai"
967 },
968 "field": "doc-sum",
969 "includes": {},
970 "prompt": {
971 "request": {
972 "abbreviated": "string",
973 "prompt": "string",
974 "role": "assistant"
975 },
976 "task": {
977 "abbreviated": "string",
978 "prompt": "string",
979 "role": "assistant"
980 }
981 }
982 },
983 "table": {
984 "engine": {
985 "apiKey": "string",
986 "baseURL": "string",
987 "engineID": "string",
988 "reasoningEffort": "minimal",
989 "requestPassthrough": {},
990 "service": "openai"
991 },
992 "field": "doc-sum",
993 "includes": {},
994 "prompt": {
995 "request": {
996 "abbreviated": "string",
997 "prompt": "string",
998 "role": "assistant"
999 },
1000 "task": {
1001 "abbreviated": "string",
1002 "prompt": "string",
1003 "role": "assistant"
1004 }
1005 }
1006 },
1007 "table-figure": {
1008 "engine": {
1009 "apiKey": "string",
1010 "baseURL": "string",
1011 "engineID": "string",
1012 "reasoningEffort": "minimal",
1013 "requestPassthrough": {},
1014 "service": "openai"
1015 },
1016 "field": "doc-sum",
1017 "includes": {},
1018 "prompt": {
1019 "request": {
1020 "abbreviated": "string",
1021 "prompt": "string",
1022 "role": "assistant"
1023 },
1024 "task": {
1025 "abbreviated": "string",
1026 "prompt": "string",
1027 "role": "assistant"
1028 }
1029 }
1030 }
1031 },
1032 "sect-keys": {
1033 "all": {
1034 "engine": {
1035 "apiKey": "string",
1036 "baseURL": "string",
1037 "engineID": "string",
1038 "reasoningEffort": "minimal",
1039 "requestPassthrough": {},
1040 "service": "openai"
1041 },
1042 "field": "doc-sum",
1043 "includes": {},
1044 "prompt": {
1045 "request": {
1046 "abbreviated": "string",
1047 "prompt": "string",
1048 "role": "assistant"
1049 },
1050 "task": {
1051 "abbreviated": "string",
1052 "prompt": "string",
1053 "role": "assistant"
1054 }
1055 }
1056 },
1057 "figure": {
1058 "engine": {
1059 "apiKey": "string",
1060 "baseURL": "string",
1061 "engineID": "string",
1062 "reasoningEffort": "minimal",
1063 "requestPassthrough": {},
1064 "service": "openai"
1065 },
1066 "field": "doc-sum",
1067 "includes": {},
1068 "prompt": {
1069 "request": {
1070 "abbreviated": "string",
1071 "prompt": "string",
1072 "role": "assistant"
1073 },
1074 "task": {
1075 "abbreviated": "string",
1076 "prompt": "string",
1077 "role": "assistant"
1078 }
1079 }
1080 },
1081 "json": {
1082 "engine": {
1083 "apiKey": "string",
1084 "baseURL": "string",
1085 "engineID": "string",
1086 "reasoningEffort": "minimal",
1087 "requestPassthrough": {},
1088 "service": "openai"
1089 },
1090 "field": "doc-sum",
1091 "includes": {},
1092 "prompt": {
1093 "request": {
1094 "abbreviated": "string",
1095 "prompt": "string",
1096 "role": "assistant"
1097 },
1098 "task": {
1099 "abbreviated": "string",
1100 "prompt": "string",
1101 "role": "assistant"
1102 }
1103 }
1104 },
1105 "paragraph": {
1106 "engine": {
1107 "apiKey": "string",
1108 "baseURL": "string",
1109 "engineID": "string",
1110 "reasoningEffort": "minimal",
1111 "requestPassthrough": {},
1112 "service": "openai"
1113 },
1114 "field": "doc-sum",
1115 "includes": {},
1116 "prompt": {
1117 "request": {
1118 "abbreviated": "string",
1119 "prompt": "string",
1120 "role": "assistant"
1121 },
1122 "task": {
1123 "abbreviated": "string",
1124 "prompt": "string",
1125 "role": "assistant"
1126 }
1127 }
1128 },
1129 "table": {
1130 "engine": {
1131 "apiKey": "string",
1132 "baseURL": "string",
1133 "engineID": "string",
1134 "reasoningEffort": "minimal",
1135 "requestPassthrough": {},
1136 "service": "openai"
1137 },
1138 "field": "doc-sum",
1139 "includes": {},
1140 "prompt": {
1141 "request": {
1142 "abbreviated": "string",
1143 "prompt": "string",
1144 "role": "assistant"
1145 },
1146 "task": {
1147 "abbreviated": "string",
1148 "prompt": "string",
1149 "role": "assistant"
1150 }
1151 }
1152 },
1153 "table-figure": {
1154 "engine": {
1155 "apiKey": "string",
1156 "baseURL": "string",
1157 "engineID": "string",
1158 "reasoningEffort": "minimal",
1159 "requestPassthrough": {},
1160 "service": "openai"
1161 },
1162 "field": "doc-sum",
1163 "includes": {},
1164 "prompt": {
1165 "request": {
1166 "abbreviated": "string",
1167 "prompt": "string",
1168 "role": "assistant"
1169 },
1170 "task": {
1171 "abbreviated": "string",
1172 "prompt": "string",
1173 "role": "assistant"
1174 }
1175 }
1176 }
1177 },
1178 "sect-summary": {
1179 "all": {
1180 "engine": {
1181 "apiKey": "string",
1182 "baseURL": "string",
1183 "engineID": "string",
1184 "reasoningEffort": "minimal",
1185 "requestPassthrough": {},
1186 "service": "openai"
1187 },
1188 "field": "doc-sum",
1189 "includes": {},
1190 "prompt": {
1191 "request": {
1192 "abbreviated": "string",
1193 "prompt": "string",
1194 "role": "assistant"
1195 },
1196 "task": {
1197 "abbreviated": "string",
1198 "prompt": "string",
1199 "role": "assistant"
1200 }
1201 }
1202 },
1203 "figure": {
1204 "engine": {
1205 "apiKey": "string",
1206 "baseURL": "string",
1207 "engineID": "string",
1208 "reasoningEffort": "minimal",
1209 "requestPassthrough": {},
1210 "service": "openai"
1211 },
1212 "field": "doc-sum",
1213 "includes": {},
1214 "prompt": {
1215 "request": {
1216 "abbreviated": "string",
1217 "prompt": "string",
1218 "role": "assistant"
1219 },
1220 "task": {
1221 "abbreviated": "string",
1222 "prompt": "string",
1223 "role": "assistant"
1224 }
1225 }
1226 },
1227 "json": {
1228 "engine": {
1229 "apiKey": "string",
1230 "baseURL": "string",
1231 "engineID": "string",
1232 "reasoningEffort": "minimal",
1233 "requestPassthrough": {},
1234 "service": "openai"
1235 },
1236 "field": "doc-sum",
1237 "includes": {},
1238 "prompt": {
1239 "request": {
1240 "abbreviated": "string",
1241 "prompt": "string",
1242 "role": "assistant"
1243 },
1244 "task": {
1245 "abbreviated": "string",
1246 "prompt": "string",
1247 "role": "assistant"
1248 }
1249 }
1250 },
1251 "paragraph": {
1252 "engine": {
1253 "apiKey": "string",
1254 "baseURL": "string",
1255 "engineID": "string",
1256 "reasoningEffort": "minimal",
1257 "requestPassthrough": {},
1258 "service": "openai"
1259 },
1260 "field": "doc-sum",
1261 "includes": {},
1262 "prompt": {
1263 "request": {
1264 "abbreviated": "string",
1265 "prompt": "string",
1266 "role": "assistant"
1267 },
1268 "task": {
1269 "abbreviated": "string",
1270 "prompt": "string",
1271 "role": "assistant"
1272 }
1273 }
1274 },
1275 "table": {
1276 "engine": {
1277 "apiKey": "string",
1278 "baseURL": "string",
1279 "engineID": "string",
1280 "reasoningEffort": "minimal",
1281 "requestPassthrough": {},
1282 "service": "openai"
1283 },
1284 "field": "doc-sum",
1285 "includes": {},
1286 "prompt": {
1287 "request": {
1288 "abbreviated": "string",
1289 "prompt": "string",
1290 "role": "assistant"
1291 },
1292 "task": {
1293 "abbreviated": "string",
1294 "prompt": "string",
1295 "role": "assistant"
1296 }
1297 }
1298 },
1299 "table-figure": {
1300 "engine": {
1301 "apiKey": "string",
1302 "baseURL": "string",
1303 "engineID": "string",
1304 "reasoningEffort": "minimal",
1305 "requestPassthrough": {},
1306 "service": "openai"
1307 },
1308 "field": "doc-sum",
1309 "includes": {},
1310 "prompt": {
1311 "request": {
1312 "abbreviated": "string",
1313 "prompt": "string",
1314 "role": "assistant"
1315 },
1316 "task": {
1317 "abbreviated": "string",
1318 "prompt": "string",
1319 "role": "assistant"
1320 }
1321 }
1322 }
1323 }
1324 },
1325 "relationships": {
1326 "account": true,
1327 "documents": [
1328 "string"
1329 ],
1330 "ids": [
1331 1
1332 ]
1333 },
1334 "workflowId": "string"
1335 }
1336}
Update an existing workflow.
Was this page helpful?
Previous

delete

Next
Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"
The workflowId of the workflow being updated.

Request

This endpoint expects an object.
chunkStrategyenumOptional
Allowed values:
namestringOptional
The name of the workflow being created.
extractobjectOptional
Extract agent definitions.
sectionStrategyenumOptional
Allowed values:
stepsobjectOptional
A collection of workflow steps

Response

Update success
workflowobject
Workflow information